<?php
/**
 * Custom template tags for this theme
 *
 * @subpackage Air Conditioning Services
 * @since 1.0
 */

/**
 * Prints HTML with meta information for the current post-date/time and author.
 */

if ( ! function_exists( 'air_conditioning_services_entry_footer' ) ) :
/**
 * Prints HTML with meta information for the categories, tags and comments.
 */
function air_conditioning_services_entry_footer() {
	$air_conditioning_services_separate_meta = __( ', ', 'air-conditioning-services' );
	$air_conditioning_services_categories_list = get_the_category_list( $air_conditioning_services_separate_meta );
	$air_conditioning_services_tags_list = get_the_tag_list( '', $air_conditioning_services_separate_meta );
	if ( ( ( air_conditioning_services_categorized_blog() && $air_conditioning_services_categories_list ) || $air_conditioning_services_tags_list ) || get_edit_post_link() ) {

		echo '<footer class="entry-footer">';

			air_conditioning_services_edit_link();

		echo '</footer> <!-- .entry-footer -->';
	}
}
endif;

if ( ! function_exists( 'air_conditioning_services_edit_link' ) ) :
function air_conditioning_services_edit_link() {
	edit_post_link(
		sprintf(
			/* translators: %s: Name of current post */
			__( 'Edit<span class="screen-reader-text"> "%s"</span>', 'air-conditioning-services' ),
			get_the_title()
		),
		'<span class="edit-link">',
		'</span>'
	);
}
endif;

function air_conditioning_services_categorized_blog() {
	$category_count = get_transient( 'air_conditioning_services_categories' );

	if ( false === $category_count ) {
		// Create an array of all the categories that are attached to posts.
		$categories = get_categories( array(
			'fields'     => 'ids',
			'hide_empty' => 1,
			// We only need to know if there is more than one category.
			'number'     => 2,
		) );

		// Count the number of categories that are attached to the posts.
		$category_count = count( $categories );

		set_transient( 'air_conditioning_services_categories', $category_count );
	}

	// Allow viewing case of 0 or 1 categories in post preview.
	if ( is_preview() ) {
		return true;
	}

	return $category_count > 1;
}

if ( ! function_exists( 'air_conditioning_services_the_custom_logo' ) ) :

function air_conditioning_services_the_custom_logo() {
	the_custom_logo();
}
endif;

function air_conditioning_services_category_transient_flusher() {
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}
	// Like, beat it. Dig?
	delete_transient( 'air_conditioning_services_categories' );
}
add_action( 'edit_category', 'air_conditioning_services_category_transient_flusher' );
add_action( 'save_post',     'air_conditioning_services_category_transient_flusher' );
